<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="../common/init.jsp"%>
<!DOCTYPE html>
<html>
<head>
<%@ include file="../common/top.jsp"%>
<link rel="stylesheet" href="${ctx}/resources/css/main.css" type="text/css" />
<link rel='stylesheet' href='${ctx}/resources/css/easyui.css' type='text/css' media='screen' />
<link rel='stylesheet' href='${ctx}/resources/css/easyui/icon.css' type='text/css' media='screen' />
<link rel='stylesheet' href='${ctx}/resources/css/user-center-style.css' type='text/css' media='screen' />
<link rel="stylesheet" href="${ctx}/resources/css/bootstrap.css" type="text/css" />
<link rel="stylesheet" href="${ctx}/resources/css/style.css" type="text/css" />
<link rel="stylesheet" href="${ctx}/resources/css/alertify.core.css" type="text/css" media='screen' />
<link rel="stylesheet" href="${ctx}/resources/css/alertify.default.css" type="text/css" media='screen' />

<script type="text/javascript" src="${ctx}/resources/js/jquery.easyui.min.js"></script>
<script type="text/javascript" src="${ctx}/resources/js/easyui-lang-zh_CN.js"></script>
<script type="text/javascript" src="${ctx}/resources/ckeditor4.5.9/ckeditor.js"></script>
<script type="text/javascript" src="${ctx}/resources/js/lib/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/resources/js/alertify.js"></script>
<script type="text/javascript" src="${ctx}/resources/js/bootstrap-waitingfor.min.js"></script>
<script type="text/javascript" src="${ctx}/resources/js/question/quesForZujuan.js"></script>

<style>
.table{width: 100%}
.table-bordered{border-collapse:collapse;border:none;}
.table-bordered th{border:solid #c9c9c9 1px;padding:2px 2px 2px 2px;}
.table-bordered td{border:solid #c9c9c9 1px;padding:2px 2px 2px 2px;}

.searchTbl th{height: 30px;vertical-align: middle;}
.searchTbl td{height: 30px;vertical-align: middle;}
select {
	margin: 0px;
}
input[type="text"] {
	margin: 0px;
}
i {font-style:italic;}
em {font-style:italic;}
</style>
<script type="text/javascript">
var restQuesDetailsMap = {};
var diffMap = {};
var abilityMap = {};
<c:forEach items="${codes }" var="code">
<c:if test="${ code.itemType=='QUESTION_DIFFICULTY'}">
diffMap['${code.itemCode}'] = '${code.itemValue}';
</c:if>
<c:if test="${ code.itemType=='ABILITY'}">
abilityMap['${code.itemCode}'] = '${code.itemValue}';
</c:if>
</c:forEach>

$(document).ready(function(){
});
var saveType = null;
var quesTypeName = "";
$(document).ready(function(){
	//$(document).mask('正在加载数据，请稍等...');
	setTimeout(function(){
		${param.fun}(${param.paramStr});
		$("#answer-tr").css("visibility","visible");
		//$(document).unmask();
	},500);
	
	$("#restQuesDetails").change(function(){
		changeCondition();
	});
});

function getNewQuestionNoByCourseId(){
	$.post('${ctx}/question/getNewQuestionNoByCourseId/' + $("#courseId").val(),{},function(res){
		$("#questionNo").val(res.questionNo);
	});
}

function initAddQuesParam(param){
	restQuesDetailsMap = {};
	saveType = "ADD";
	$("#blankQuesNum").val(param.blankQuesNum);
	$("#paperId").val(param.paperId);
	$("#blankQuesNumFowShow").text(param.blankQuesNum);
	$("#pqtId").val(param.pqtId);
	$("#quesTypeId").val(param.quesTypeId);
	$("#quesTypeName").val(param.quesTypeName);
	$("#quesTypeNameForShow").text(param.quesTypeName);
	$("#score").val(param.score);
	$("#scoreForShow").text(param.score);
	$("#courseId").val(param.courseId);
	$("#bookId").val(param.bookId);
	$("#chapterSize").val(param.chapterSize);
	//$(document).mask('正在加载数据，请稍等...');
	$.post('${ctx}/question/calcRestQuesDetails',{"paperId":param.paperId,"quesTypeId":param.quesTypeId,"score":param.score},function(res){
		//$(document).unmask();
		if(res.flag=='failed'){
           alertify.error(res.msg);
           return false;
		}else{
			$("#restQuesDetails").empty();
			for(var i=0;i<res.restQuesDetails.length;i++){
				var qd = res.restQuesDetails[i];
				if(qd.quesNum > 0){
					var value = qd.chapterNo + "_" + qd.estimateDifficultyCode + "_" + qd.abilityCode;
					var text = "第" + qd.chapterNo + "章，认知层次：" + qd.abilityText + "，预计难度：" + qd.estimateDifficultyText + "，空题数量：" + qd.quesNum;
					restQuesDetailsMap[value] = qd;
					$("<option value='" + value + "'>" + text + "</option>").appendTo($("#restQuesDetails"));
				}
			}
			changeCondition();
			getNewQuestionNoByCourseId();
		}
	});
	questionChange();
	if ($("#quesTypeName").val().indexOf("选择题") != -1) {
		$("#tiganBtn").show();
		$("#xuanxiangBtn").show();
	} else if ($("#quesTypeName").val().indexOf("简答题") != -1) {
		$("#tiganBtn").show();
	}
}

function autoReduce(){
	var value = $("#restQuesDetails").val();
	var selectedIndex = $("#restQuesDetails").get(0).selectedIndex; 
	var qd = restQuesDetailsMap[value];
	qd.quesNum = qd.quesNum - 1;
	if(qd.quesNum <= 0){
		$("#restQuesDetails").find("option").eq(selectedIndex).remove();
		var maxIndex = $("#restQuesDetails").find("option").length - 1;
		if(selectedIndex > maxIndex){
			selectedIndex = maxIndex;
		}
		$("#restQuesDetails").get(0).selectedIndex = selectedIndex;
	}else{
		var text = "第" + qd.chapterNo + "章，认知层次：" + qd.abilityText + "，预计难度：" + qd.estimateDifficultyText + "，空题数量：" + qd.quesNum;
		$("#restQuesDetails").find("option").eq(selectedIndex).text(text);
	}
	changeCondition();
}

function changeCondition(){
	var value = $("#restQuesDetails").val();
	if(value){
		var qd = restQuesDetailsMap[value];
		$("#estimateDifficultyCode" + qd.estimateDifficultyCode).attr("checked",true);
		$("#abilityCode" + qd.abilityCode).attr("checked",true);
		$("#chapter").val(qd.chapterNo);
	}
}

function initEditQuesParam(param){
	restQuesDetailsMap = {};
	saveType = "EDIT";
	$("#tipDiv").hide();
	$("#paperId").val(param.paperId);
	$("#detailId").val(param.detailId);
	$("#quesId").val(param.questionId);
	$("#chapterSize").val(param.chapterSize);
	//$(document).mask('正在加载试题，请稍等...');
	$.post('${ctx}/question/quesDetail/' + param.questionId,{},function(res){
		//$(document).unmask();
		if(res.flag=='failed'){
           alertify.error(res.msg);
           return false;
		}else{
			var quesTypeName = res.questionType.name;
			$("#quesTypeId").val(res.questionType.id);
			$("#quesTypeName").val(quesTypeName);
			$("#quesTypeNameForShow").text(res.questionType.name);
			$("#questionNo").val(res.question.questionNo);
			$("#score").val(res.question.score);
			$("#scoreForShow").text(res.question.score - 0);
			$("#courseId").val(res.question.courseId);
			$("#bookId").val(res.question.bookId);
			var assessmentDemand = !res.question.assessmentDemand ? 'A' : res.question.assessmentDemand;
			$('input[name="assessmentDemand"][value="' + assessmentDemand + '"]').attr("checked",true);
			var estimateDifficultyCode = !res.question.estimateDifficultyCode ? '10' : res.question.estimateDifficultyCode;
			$('input[name="estimateDifficultyCode"][value="' + estimateDifficultyCode + '"]').attr("checked",true);
			var abilityCode = !res.question.abilityCode ? 'A' : res.question.abilityCode;
			$('input[name="abilityCode"][value="' + abilityCode + '"]').attr("checked",true);
			$("#chapter").val(res.question.chapter);
			$("#section").val(res.question.section);
			$("#item").val(res.question.item);
			$("#page").val(res.question.page);
			$("#body-content").html(res.question.bodyHtml);
			questionChange();
			if(isOneChoice(quesTypeName)){
				for(var i=0;i<4;i++){
					var opt = null;
					if(res.options && res.options.length > i){
						opt = res.options[i];
					}else{
						opt = {isCorrectOption:'0',content:''};
					}
					if(opt.isCorrectOption == '1'){
						$("input[name=optionsRadios]").eq(i).attr("checked",true);
					}
					var str=(String.fromCharCode(i+65));
					$("#"+str+"_radio_input").html(opt.contentHtml);
				}
			}else if(isMultChoice(quesTypeName)){
				for(var i=0;i<5;i++){
					var opt = null;
					if(res.options && res.options.length > i){
						opt = res.options[i];
					}else{
						opt = {isCorrectOption:'0',content:''};
					}
					$("input[name=optionsCKs]").eq(i).attr("checked",opt.isCorrectOption == '1');
					var str=(String.fromCharCode(i+65));
					$("#"+str+"_checkbox_input").html(opt.contentHtml);
				}
			}else{
				$("#answer-content").html(res.question.answerHtml);
			}
			//$(document).mask('正在加载数据，请稍等...');
			$.post('${ctx}/question/calcRestQuesDetails',{"paperId":$("#paperId").val(),"quesTypeId":$("#quesTypeId").val(),"score":$("#score").val()},function(res){
				//$(document).unmask();
				if(res.flag=='failed'){
		           alertify.error(res.msg);
		           return false;
				}else{
					$("#restQuesDetails").empty();
					{
						var qd = {
								"chapterNo" : $("#chapter").val(),
								"estimateDifficultyCode":$('input[name="estimateDifficultyCode"]:checked').val(),
								"estimateDifficultyText":diffMap[$('input[name="estimateDifficultyCode"]:checked').val()],
								"abilityCode":$('input[name="abilityCode"]:checked').val(),
								"abilityText":abilityMap[$('input[name="abilityCode"]:checked').val()]
								};
						var value = qd.chapterNo + "_" + qd.estimateDifficultyCode + "_" + qd.abilityCode + "_self";
						var text = "当前：第" + qd.chapterNo + "章，认知层次：" + qd.abilityText + "，预计难度：" + qd.estimateDifficultyText;
						restQuesDetailsMap[value] = qd;
						$("<option value='" + value + "'>" + text + "</option>").appendTo($("#restQuesDetails"));
					}
					for(var i=0;i<res.restQuesDetails.length;i++){
						var qd = res.restQuesDetails[i];
						if(qd.quesNum > 0){
							var value = qd.chapterNo + "_" + qd.estimateDifficultyCode + "_" + qd.abilityCode;
							var text = "第" + qd.chapterNo + "章，认知层次：" + qd.abilityText + "，预计难度：" + qd.estimateDifficultyText + "，空题数量：" + qd.quesNum;
							restQuesDetailsMap[value] = qd;
							$("<option value='" + value + "'>" + text + "</option>").appendTo($("#restQuesDetails"));
						}
					}
				}
			});
			if(res.question.enableTime){
				$("select").attr("disabled",true);
				$("input[type='radio']").attr("disabled",true);
				$("input[type='text']").attr("readonly",true);
				$("[contenteditable='true']").attr("contenteditable",false);
				$("#saveBtn").hide();
				$("#infoDiv").show();
			}
		}
	});
	if ($("#quesTypeName").val().indexOf("选择题") != -1) {
		$("#tiganBtn").show();
		$("#xuanxiangBtn").show();
	} else if ($("#quesTypeName").val().indexOf("简答题") != -1) {
		$("#tiganBtn").show();
	}
}
//规范显示
function showRequireNote(is_option) {
	if (is_option) {
		$("#goOptionRequireDiv").html("");
		$("#goOptionRequireDiv").append("<span style='font-size:15px;font-weight:bold;'>选择题备选项编写基本要求</span><br>");
		$("#goOptionRequireDiv").append("<span style='font-size:15px;'>（1）备选项的长度、结构、语言表达要尽量一致;在长度不一致的情况下,较短的在前,较长的在后。</span><br>");
		$("#goOptionRequireDiv").append("<span style='font-size:15px;'>（2）备选项要求同质、互不相关,有较大的似真性。</span><br>");
		$("#goOptionRequireDiv").append("<span style='font-size:15px;'>（3）涉及数字的备选项,统一按照上升或者下降的顺序排列。</span><br>");
		$("#goOptionRequireDiv").append("<span style='font-size:15px;'>（4）如果一些词语在所有的备选项中都有,最好将这些共同词语移到题干中去;如果含有共同词语的备选项是专有名词,或者将共同词语移至题干后容易引起考生理解上的困难,此时的备选项中的共同词语应当保留。</span><br>");
		$("#goOptionRequireDiv").append("<span style='font-size:15px;'>（5）干扰项要有似真性,应与正确选项在逻辑上和语法上跟题干一致,不应出现拼凑明显不合理的选项。</span><br>");
		$("#goOptionRequireDiv").append("<span style='font-size:15px;'>（6）如果题干含有否定式,必须避免出现否定式的备选项。</span><br>");
		$("#goOptionRequireDiv").append("<span style='font-size:15px;'>（7）备选项原则上不要使用“以上都不对、以上都对、从未、绝无、也许、可能、唯一、只有、仅仅”等含有绝对肯定、绝对否定或模棱两可的词汇。</span><br>");
		$("#goOptionRequireDiv").append("<span style='font-size:15px;'>（8）避免备选项之间出现逻辑上的包含关系,确保干扰项在它的范围内不包含答案,如正确答案为“X>5”,则干扰项“X=10”也符合答案要求。</span><br>");
		$("#goOptionRequireDiv").append("<span style='font-size:15px;'>（9）正确选项的代码随机排列,并且在每份试卷中各个代码作为正确选项出现的概率相近。</span>");
    	$("#goOptionRequireDiv").window({top:$(document).scrollTop() + 60});
    	$("#goOptionRequireDiv").window("open");
	} else {
		//加载题目规范
		if ($("#quesTypeName").val().indexOf("选择题") != -1) {
			$("#goRequireDiv").html("");
			$("#goRequireDiv").append("<span style='font-size:15px;font-weight:bold;'>选择题题干编写要求</span><br>");
			$("#goRequireDiv").append("<span style='font-size:15px;'>（1）题干与备选项构成的句子应该在逻辑上成立,语法上无错误,语义上无歧义。</span><br>");
			$("#goRequireDiv").append("<span style='font-size:15px;'>（2）题干围绕一个主题展开,题意明确。</span><br>");
			$("#goRequireDiv").append("<span style='font-size:15px;'>（3）题干应尽量创设新的情境,叙述文字应避免重复教材中的现成实例或措辞。</span><br>");
			$("#goRequireDiv").append("<span style='font-size:15px;'>（4）题干应简明扼要,只包含阐明问题所需要的条件。</span><br>");
			$("#goRequireDiv").append("<span style='font-size:15px;'>（5）题干一般是一个不完全的陈述句,与正确选项构成一个完整的句子，也可以是一个疑问句或一段话。</span><br>");
			$("#goRequireDiv").append("<span style='font-size:15px;'>（6）尽可能避免使用否定式的题干,除非为了特定的目的必须以否定式的形式设计试题，如果出现否定词，可在否定词的下面加上着重号。</span><br>");
			$("#goRequireDiv").append("<span style='font-size:15px;'>（7）题干与备选项之间在逻辑关系或词语使用上应避免有所暗示或包含。</span>");
	    	$("#goRequireDiv").window({top:$(document).scrollTop() + 60});
	    	$("#goRequireDiv").window("open");
		} else if ($("#quesTypeName").val().indexOf("简答题") != -1) {
    		$("#goRequireDiv").html("");
			$("#goRequireDiv").append("<span style='font-size:15px;font-weight:bold;'>简答题答案编写基本要求</span><br>");
			$("#goRequireDiv").append("<span style='font-size:15px;'>（1）参考答案简明扼要，表述准确。</span><br>");
			$("#goRequireDiv").append("<span style='font-size:15px;'>（2）每个要点一般为1-2分，分数为整数。</span><br>");
			$("#goRequireDiv").append("<span style='font-size:15px;'>（3）可通过“【评分说明】”或“（注：）”单独注明评分要求。</span>");
	    	$("#goRequireDiv").window({top:$(document).scrollTop() + 60});
	    	$("#goRequireDiv").window("open");
		}
	}
}
//题干相似度
function goSimilaryCheck() {
	$(document).mask('正在计算中，请稍等...');
	debugger;
	if ($.trim($("#body-content").text()).length == 0) {
		alertify.error("题干不能为空!");
		$(document).unmask();
		return;
	}
	$.ajax({
		type : "POST",
		url : "${ctx}/question/specifyCheckSimilarity",
		data : {
			course_id: $("#courseId").val(), 
			type_id: $("#quesTypeId").val(),
			quesBody: $.trim($("#body-content").text())},
		success : function(res) {
			debugger;
			$(document).unmask();
			$('#similarQuesListDg').datagrid({data:res.allSimilarQuestion});
			$("#similarQuesListDiv").window({top:$(document).scrollTop() + 100});
			$('#similarQuesListDiv').window('open');
		}
	});
}
</script>
</head>
<body style="overflow: auto;">
<form id="questionUpdateFrm" action="${ctx}/question/insert" method="post">
<input type="hidden" id="paperId" />
<input type="hidden" id="detailId" />
<input type="hidden" id="quesId" value="0"/>
<input type="hidden" id="blankQuesNum" />
<input type="hidden" id="pqtId"/>
<input type="hidden" id="quesTypeId"/>
<input type="hidden" id="quesTypeName"/>
<input type="hidden" id="score"/>
<input type="hidden" id="courseId"/>
<input type="hidden" id="bookId"/>
<input type="hidden" id="chapterSize"/>
<div class="page-bodyList">
				<div style="margin: 10px;color: #ad5a00;font-size: 18px;font-weight: bold;">
					<span id="tipDiv">需要填充的试题数量：<span id="blankQuesNumFowShow" style="font-weight: bold;margin-right: 30px;"></span></span>试题属性：<select id="restQuesDetails" style="width: 450px;"></select>
					<span style="padding-left:30px;">题号：</span><span><input type="text" id="questionNo" name="questionNo" style="width:100px;" readonly="readonly"/></span>
				</div>
			    <table class="table table-bordered searchTbl">
					<tr>
						<th nowrap="nowrap" style="width: 65px;">题型<span style="color:red">*</span></th>
						<td><span id="quesTypeNameForShow"></span></td>
						<th>认知层次</th>
						<td>
							<c:forEach items="${codes}" var="code">
								<c:if test="${code.itemType=='ABILITY'}">
									<span style="margin-right: 10px;"><input type="radio" name="abilityCode" id="abilityCode${code.itemCode}" value="${code.itemCode}" disabled="disabled"/><label for="abilityCode${code.itemCode}">${code.itemValue}</label></span>
								</c:if>
							</c:forEach>
						</td>
						<th>考核要求</th>
						<td>
							<c:forEach items="${codes}" var="code">
								<c:if test="${code.itemType=='ASSESSMENT_DEMAND'}">
									<span style="margin-right: 10px;"><input type="radio" name="assessmentDemand" value="${code.itemCode}" id="assessmentDemand${code.itemCode}"/><label for="assessmentDemand${code.itemCode}">${code.itemValue}</label></span>
								</c:if>
							</c:forEach>
						</td>
					</tr>
					<tr>
						 <th nowrap="nowrap">满分值<span style="color:red">*</span></th>
	                     <td><span id="scoreForShow"></span></td>
	                     <th>知识点</th>
	                     <td>
	                            <input type="text" id="chapter" name="chapter" style="width:20px;" maxlength="2" readonly="readonly"/>&nbsp;章<span style="color:red">*</span>
                                <input type="text" id="section" name="section" style="width:20px;" maxlength="3"/>&nbsp;节
                                <input type="text" id="item" name="item" style="width:20px;" maxlength="4"/>&nbsp;目
                                <input type="text" id="page" name="page" style="width:20px;margin: 0px;" maxlength="5"/>&nbsp;页
                        </td>
						<th>预计难度</th>
						<td>
							<c:forEach items="${codes}" var="code">
								<c:if test="${code.itemType=='QUESTION_DIFFICULTY'}">
									<span style="margin-right: 10px;"><input type="radio" name="estimateDifficultyCode" id="estimateDifficultyCode${code.itemCode}" value="${code.itemCode}" disabled="disabled"/><label for="estimateDifficultyCode${code.itemCode}">${code.itemValue}</label></span>
								</c:if>
							</c:forEach>
						</td>
					</tr>
                    <tr>
							<th>题干<span style="color:red">*</span></th>
							<td colspan="5">								
								<div id="body-content" class="box-content " field="body" name="题干" title="点击输入内容" contenteditable="true" style="height:100px;width:95%;max-width: 95%;">
								</div>
							</td>
				   </tr>
				   <tr id="answer-tr" style="visibility: hidden;">
							<th id="answer_td">选项及答案</th>
							<td colspan="5" style="margin: 0px;padding: 0px;">
								<div id="answer-content" class="box-content " field="answer" name="选项及答案" title="点击输入内容" contenteditable="true" style="height:120px;width:95%;max-width: 95%;"></div>
								<div class="container" id="container" style="width:95%;margin: 0px;padding: 0px;">
									<div id="Choose">
										<div>
											 <div class="RadioContent">
												<table style="width:100%">
													<tr>
														<td style="width:30px;"><input	type="radio" name="optionsRadios" value="A" class="validate[required] radio"/>A.</td>
														<td><div class="col-lg-5 col-sm-5" id="A_radio_input" contenteditable="true" style="height:25px;"></div></td>
													</tr>
													<tr>
														<td style="width:30px;"><input	type="radio" name="optionsRadios" value="B" class="validate[required] radio"/>B.</td>
														<td><div class="col-lg-5 col-sm-5" id="B_radio_input" contenteditable="true" style="height:25px;"></div></td>
													</tr>
													<tr>
														<td style="width:30px;"><input	type="radio" name="optionsRadios" value="C" class="validate[required] radio"/>C.</td>
														<td><div class="col-lg-5 col-sm-5" id="C_radio_input" contenteditable="true" style="height:25px;"></div></td>
													</tr>
													<tr>
														<td style="width:30px;"><input	type="radio" name="optionsRadios" value="D" class="validate[required] radio"/>D.</td>
														<td><div class="col-lg-5 col-sm-5" id="D_radio_input" contenteditable="true" style="height:25px;"></div></td>
													</tr>														
												</table>
											</div>
										</div>
										<div class="CheckboxContent">
											<table style="width:100%">
												<tr>
													<td style="width:30px;"><input type="checkbox" name="optionsCKs" value="A" class="validate[required] checkbox "/>A.</td>
													<td><div class="col-lg-5 col-sm-5" id="A_checkbox_input" contenteditable="true" style="height:25px;"></div></td>
												</tr>
												<tr>
													<td style="width:30px;"><input type="checkbox" name="optionsCKs" value="B" class="validate[required] checkbox "/>B.</td>
													<td><div class="col-lg-5 col-sm-5" id="B_checkbox_input" contenteditable="true" style="height:25px;"></div></td>
												</tr>
												<tr>
													<td style="width:30px;"><input type="checkbox" name="optionsCKs" value="C" class="validate[required] checkbox "/>C.</td>
													<td><div class="col-lg-5 col-sm-5" id="C_checkbox_input" contenteditable="true" style="height:25px;"></div></td>
												</tr>
												<tr>
													<td style="width:30px;"><input type="checkbox" name="optionsCKs" value="D" class="validate[required] checkbox "/>D.</td>
													<td><div class="col-lg-5 col-sm-5" id="D_checkbox_input" contenteditable="true" style="height:25px;"></div></td>
												</tr>
												<tr>
													<td style="width:30px;"><input type="checkbox" name="optionsCKs" value="E" class="validate[required] checkbox "/>E.</td>
													<td><div class="col-lg-5 col-sm-5" id="E_checkbox_input" contenteditable="true" style="height:25px;"></div></td>
												</tr>
											</table>											
										</div>
									</div>
								</div>
							</td>
						</tr>
			    </table>
			    <div id="infoDiv" style="display: none;color: red">*当前试题为题卡，不能修改</div>
			    <div style="text-align:center;">
			    	<input type="button" id="tiganBtn" style="margin-top: 10px;margin-left: 20px;width: 90px;height: 25px;display:none;" onclick="showRequireNote(false)" value="题干规范" />
			    	<input type="button" id="xuanxiangBtn" style="margin-top: 10px;margin-left: 20px;width: 90px;height: 25px;display:none;" onclick="showRequireNote(true)" value="选项规范" />
				    <input type="button" id="saveBtn" style="margin-top: 10px;margin-left: 20px;width: 60px;height: 25px;" onclick="goSave('${ctx }')" value="保存" />
				    <input type="button" style="margin-top: 10px;margin-left: 20px;width: 60px;height: 25px;" onclick="parent.closeEditQuestionDiv();" value="关闭" />
				    <input type="button" style="margin-top: 10px;margin-left: 20px;width: 90px;height: 25px;" onclick="goSimilaryCheck();" value="题干相似度" />
			    </div>
	<div id="goRequireDiv" class="easyui-window" title="编写规范" data-options="modal:true,closed:true,iconCls:'icon-import',draggable:true,maximizable:false,minimizable:false" style="width:600px;height:350px;overflow-x: hidden;">
	</div>
	<div id="goOptionRequireDiv" class="easyui-window" title="编写规范" data-options="modal:true,closed:true,iconCls:'icon-import',draggable:true,maximizable:false,minimizable:false" style="width:650px;height:450px;overflow-x: hidden;">
	</div>
	<div id="similarQuesListDiv" title="相似题详情" class="easyui-window" data-options="modal:true,closed:true,minimizable:false,maximizable:false,resizable:false,iconCls:'icon-import'" style="width:560px;height:400px;padding:5px;overflow-x: hidden;">
		<table id="similarQuesListDg" class="easyui-datagrid"
	                     data-options="fitColumns:true,singleSelect:true,striped:true,pagination:false,remoteSort:false">
	                     <thead>
	                         <tr class="title">
	                         	 <th data-options="sortable:true,field:'similarQuestionId',width:10">题目</th>
	                             <th data-options="sortable:true,field:'similarQuestionName',width:70">题目</th>
	                             <th data-options="sortable:true,field:'similarity',width:20">相似度</th>
	                         </tr>
	                     </thead>
		</table>
	</div>
</div>
</form>
</body>
</html>
